Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Create a new event

POST
/v2/tenant/{tenantKey}/ticket/event
curl --request POST \
--url https://sender.api.kivra.com/v2/tenant/example/ticket/event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "event_reference": "event-123", "name": "Concert Night", "url": "https://example.com/event/concert-night", "organizer": { "name": "Music Org" }, "information": "A night of great music.", "images": { "thumbnail": { "content_type": "image/png", "data": "iVBORw0KGgoAAAANSUhEUgAA..." }, "landscape": null }, "schedule": { "start": "2024-07-01T19:00:00+02:00", "end": "2024-07-01T23:00:00+02:00", "admission": "2024-07-01T18:00:00+02:00" }, "venue": { "name": "Big Arena", "location": { "city": "Stockholm", "address": "Arena Street 1", "zip": "12345", "coordinates": { "longitude": "18.0686", "latitude": "59.3293" } } } }'

Before a content of type ticket.event can be sent an event must first be created. This endpoint is used to create a new event. The event can then be referenced when sending content of type ticket.event.

Note that the tenant owns the event and as such the tenant that creates the event must also send the content.

tenantKey
required
string

The unique Key for a Tenant

Media typeapplication/json
TicketsCreateEvent
object
event_reference
required

Used for uniqness of the event, only one event can be created with a specific event_reference.

string
name
required

The name of the event.

string
url

A URL to the event’s website or more information. Must be HTTPS.

string | null format: uri
organizer
required
object
name
required
string
information
string | null
images
object
thumbnail
object
content_type
required
string
Allowed values: image/jpeg image/png image/webp
data
required

Base64 encoded string

string
landscape
object
content_type
required
string
Allowed values: image/jpeg image/png image/webp
data
required

Base64 encoded string

string
schedule
required
object
start
required
string
end
string | null
admission
string | null
venue
required
object
name
required
string
location
object
city
string | null
address
string | null
zip
string | null
coordinates
object
longitude
required
string
latitude
required
string
Examples
ExampleExample
{
"event_reference": "event-123",
"name": "Concert Night",
"url": "https://example.com/event/concert-night",
"organizer": {
"name": "Music Org"
},
"information": "A night of great music.",
"images": {
"thumbnail": {
"content_type": "image/png",
"data": "iVBORw0KGgoAAAANSUhEUgAA..."
},
"landscape": null
},
"schedule": {
"start": "2024-07-01T19:00:00+02:00",
"end": "2024-07-01T23:00:00+02:00",
"admission": "2024-07-01T18:00:00+02:00"
},
"venue": {
"name": "Big Arena",
"location": {
"city": "Stockholm",
"address": "Arena Street 1",
"zip": "12345",
"coordinates": {
"longitude": "18.0686",
"latitude": "59.3293"
}
}
}
}

Event created successfully

Media typeapplication/json
object
event_key

Unique identifier for the created event

string format: uuid
Example
{
"event_key": "019782da-3b4a-7f6c-b8bd-e486dcf6e542"
}

Invalid request